<?php if (!defined('ABSPATH')) {die;} // Cannot access directly.

/**
 *
 * @package   Codestar Framework - WordPress Options Framework
 * @author    Codestar <info@codestarthemes.com>
 * @link      http://codestarframework.com
 * @copyright 2015-2018 Codestar
 *
 *
 * Plugin Name: Codestar Framework
 * Plugin URI: http://codestarframework.com/
 * Author: Codestar
 * Author URI: http://codestarthemes.com/
 * Version: 2.0.7
 * Description: A Simple and Lightweight WordPress Option Framework for Themes and Plugins
 * Text Domain: csf
 * Domain Path: /languages
 *
 */

require_once plugin_dir_path(__FILE__) . 'classes/setup.class.php';
require_once plugin_dir_path(__FILE__) . 'rizhuti/options.rizhuti.php';

/**
 * 日进去主题的文章自定义字段选项框架
 */
require_once plugin_dir_path(__FILE__) . 'rizhuti/metabox.rizhuti.php';

/**
 * 日进去主题的小工具选项框架
 */
require_once plugin_dir_path(__FILE__) . 'rizhuti/widgets.rizhuti.php';

/**
 * 日进去主题的用户资料选项框架
 */
require_once plugin_dir_path(__FILE__) . 'rizhuti/profile.rizhuti.php';

/**
 * 日进去主题的简码内容
 */
require_once plugin_dir_path(__FILE__) . 'rizhuti/shortcoder.rizhuti.php';

/**
 * 日进去主题的自定义SEO分类信息
 */
require_once plugin_dir_path(__FILE__) . 'rizhuti/taxonomy.rizhuti.php';
